<?php
/**
 * 404 Template
 *
 * This template is loaded when a reader visits an invalid URL.
 * @link http://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * Use the 'Utility: 404' widget to add custom content.
 * Use the Smart 404 plugin for auto-generated post suggestions.
 * @link http://wordpress.org/extend/plugins/smart-404
 *
 * @package Hybrid
 * @subpackage Template
 */

@header( 'HTTP/1.1 404 Not found', true, 404 );

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( is_sidebar_active( __('Utility: 404', 'hybrid') ) ) : ?>

			<div id="utility-404" class="utility">
				<?php dynamic_sidebar( __('Utility: 404', 'hybrid') ); ?>
			</div>

		<?php else: ?>

			<div class="<?php hybrid_entry_class(); ?>">

				<h1 class="error-404-title entry-title">
					<?php _e('Not Found', 'hybrid'); ?>
				</h1>

				<div class="entry-content entry">

					<p>
					<?php printf( __('You tried going to %1$s, and it doesn\'t exist. All is not lost! You can search for what you\'re looking for.', 'hybrid'), '<code>' . get_bloginfo( 'url' ) . $_SERVER['REQUEST_URI'] . '</code>' ); ?>
					</p>

					<?php hybrid_search_form(); ?>

				</div>

			</div>

		<?php endif; ?>

		<?php if ( function_exists( 'smart404_suggestions' ) && smart404_has_suggestions() ) : ?>

			<div class="<?php hybrid_entry_class( 'related' ); ?>">

				<h2 class="related-title"><?php _e('Possibly Related', 'hybrid'); ?></h2>

				<ul>

				<?php smart404_loop(); ?>

				<?php while ( have_posts() ) : the_post(); ?>

					<li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>

				<?php endwhile; ?>

				</ul>

			</div>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>