<?php
/**
 * Archive Template
 *
 * This file is more or a less a placeholder.
 * All archives should be appropriately loaded according to their type.
 * Files used should be author.php, category.php, date.php, and tag.php.
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<div class="archive-info">

		<h1 class="archive-title"><?php wp_title( '' ); ?></h1>

			<div class="archive-description">
				<p>
				<?php printf( __('You are browsing the archive for %1$s.', 'hybrid'), wp_title( false, false ) ); ?>
				</p>
			</div>

		</div>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php get_the_image( array( 'custom_key' => array( 'Thumbnail' ), 'default_size' => 'thumbnail' ) ); ?>

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-summary entry">
					<?php the_excerpt(); ?>
				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php _e('Sorry, there are no posts in this archive.', 'hybrid'); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>