<?php
/**
 * Attachment Template
 *
 * This template is loaded for attachments without a template.
 * Also see application.php, audio.php, image.php, text.php, and video.php.
 * @link http://themehybrid.com/themes/hybrid/attachments
 * @link http://codex.wordpress.org/Using_Image_and_File_Attachments
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-content entry">

					<?php hybrid_attachment(); ?>

					<?php the_content( __('Continue reading', 'hybrid') . the_title( ' "', '"', false ) ); ?>

					<p class="download">
						<img class="attachment-icon" src="<?php echo wp_mime_type_icon(); ?>" alt="<?php echo get_post_mime_type(); ?>" />
						<a href="<?php echo wp_get_attachment_url(); ?>" title="<?php the_title_attribute(); ?>" rel="enclosure" type="<?php echo get_post_mime_type(); ?>"><?php printf( __('Download &quot;%1$s&quot;', 'hybrid'), the_title( '<span class="fn">', '</span>', false) ); ?></a>
					</p>

					<?php wp_link_pages( array( 'before' => '<p class="pages">' . __('Pages:', 'hybrid'), 'after' => '</p>' ) ); ?>

				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php comments_template( '', true ); ?>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php _e('Sorry, no attachments matched your criteria.', 'hybrid'); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>