<?php
/**
 * Author Template
 *
 * This template is loaded when viewing an author archive.
 * It shows the author's bio, avatar, and latest posts.
 * @link http://codex.wordpress.org/Author_Templates
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php $curauth = get_userdata( get_query_var( 'author' ) );  ?>

		<div id="hcard-<?php echo str_replace( ' ', '-', $curauth->display_name ); ?>" class="author-info author-profile vcard">

			<h1 class="author-title fn n"><?php echo $curauth->display_name; ?></h1>

			<div class="author-description">
				<?php echo get_avatar( $curauth->user_email, '100', $hybrid_settings['default_avatar'] ); ?>

				<p class="author-bio">
					<?php echo $curauth->description; ?>
				</p>
			</div>

		</div>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php get_the_image( array( 'custom_key' => array( 'Thumbnail' ), 'default_size' => 'thumbnail' ) ); ?>

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-summary entry">
					<?php the_excerpt(); ?>
				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php printf( __('%1$s hasn\'t written any posts yet.', 'hybrid' ), $curauth->display_name ); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>