<?php
/**
 * Template Name: Authors
 *
 * A page template for listing the authors of your site.
 * It shows each author's bio and avatar, linking to their archives.
 * @link http://themehybrid.com/themes/hybrid/page-templates/authors
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-content entry">

					<?php the_content(); ?>

					<?php $author_ids = hybrid_get_authors( array( 'order_by' => 'display_name' ) ); ?>

					<?php foreach ( $author_ids as $author ) : ?>

						<?php $curauth = get_userdata( $author->ID ); ?>

						<?php if ( $curauth->user_level > 0 || $curauth->user_login == 'admin' ) : ?>

							<div id="hcard-<?php echo str_replace( ' ', '-', $curauth->display_name ); ?>" class="author-profile vcard">

								<a href="<?php echo get_author_posts_url( $curauth->ID ); ?>" title="<?php echo $curauth->display_name; ?>">
									<?php echo get_avatar( $curauth->user_email, '100', $hybrid_settings['default_avatar'] ); ?>
								</a>
								<h2 class="author-name fn n">
									<a href="<?php echo get_author_posts_url( $curauth->ID ); ?>" title="<?php echo $curauth->display_name; ?>"><?php echo $curauth->display_name; ?></a>
								</h2>
								<p class="author-bio">
									<?php echo $curauth->description; ?> <?php echo $curauth->user_role; ?>
								</p>

							</div>

						<?php endif; ?>

					<?php endforeach; ?>

					<?php wp_link_pages( array( 'before' => '<p class="pages">' . __('Pages:', 'hybrid'), 'after' => '</p>' ) ); ?>

				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php hybrid_after_page(); // After page hook ?>

			<?php comments_template( '', true ); ?>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php _e('Sorry, no page matched your criteria.', 'hybrid'); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>