<?php
/**
 * Template Name: Bookmarks
 *
 * This page template lists your bookmarks/links below the main content of the page.
 * @link http://themehybrid.com/themes/hybrid/page-templates/bookmarks
 *
 * Alternately, you can use the Hot Friends plugin.
 * @link http://wordpress.org/extend/plugins/hot-friends
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry entry-content">

					<?php the_content(); ?>

					<?php if ( function_exists( 'hot_friends' ) ) : hot_friends(); ?>

					<?php else : ?>

						<?php
							$args = array(
								'title_li' => false,
								'title_before' => '<h2>',
								'title_after' => '</h2>',
								'category_before' => false,
								'category_after' => false,
								'categorize' => true,
								'show_description' => true,
								'between' => '<br />',
								'show_images' => false,
								'show_rating' => false,
							);
						?>
						<?php wp_list_bookmarks( $args ); ?>

					<?php endif; ?>

					<?php wp_link_pages( array( 'before' => '<p class="pages">' . __('Pages:', 'hybrid'), 'after' => '</p>' ) ); ?>

				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php hybrid_after_page(); // After page hook ?>

			<?php comments_template( '', true ); ?>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php _e('Sorry, no page matched your criteria.', 'hybrid'); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>