<?php
/**
 * Template Name: Categories
 *
 * The categories page template lists your categories along with a link to the RSS feed and post count.
 * @link http://themehybrid.com/themes/hybrid/page-templates/categories
 *
 * Alternately, you can use a plugin.
 * @link http://wordpress.org/extend/plugins/no-widget-category-cloud
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-content entry">

					<?php the_content(); ?>

					<?php if ( function_exists( 'nw_catcloud' ) ) : nw_catcloud(); ?>

					<?php else : ?>
			
						<ul class="xoxo category-archives">
						<?php
							$args = array(
								'feed' => __('RSS', 'hybrid'),
								'show_count' => true,
								'use_desc_for_title' => false,
								'title_li' => false
							);
						?>
							<?php wp_list_categories( $args ); ?>
						</ul>

					<?php endif; ?>

					<?php wp_link_pages( array( 'before' => '<p class="pages">' . __('Pages:', 'hybrid'), 'after' => '</p>' ) ); ?>

				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php hybrid_after_page(); // After page hook ?>

			<?php comments_template( '', true ); ?>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php _e('Sorry, no page matched your criteria.', 'hybrid'); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>