<?php
/**
 * Category Template
 *
 * This template is loaded when viewing a category archive.
 * It shows the category's description and latest posts.
 * @link http://codex.wordpress.org/Category_Templates
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<div class="category-info">

			<h1 class="category-title"><?php single_cat_title(); ?></h1>

			<div class="category-description">
				<?php echo category_description(); ?>
			</div>

		</div>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php get_the_image( array( 'custom_key' => array( 'Thumbnail' ), 'default_size' => 'thumbnail' ) ); ?>

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-summary entry">
					<?php the_excerpt(); ?>
				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php printf( __('Sorry, there are no posts in the %1$s category.', 'hybrid'), single_cat_title( false, false ) ); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>