<?php
/**
 * Date Template
 *
 * This template is used when a date-/time-based archive is shown.
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

			<div class="date-info">
				<h1 class="date-title">
				<?php
					if ( is_day() ) $time = get_the_time( __('F jS, Y', 'hybrid') );
					elseif ( get_query_var( 'w' ) ) $time = sprintf( __('Week %1$s of %2$s', 'hybrid'), get_the_time( __('W', 'hybrid') ), get_the_time( __('Y', 'hybrid') ) );
					elseif ( is_month() ) $time = single_month_title( ' ', false );
					elseif ( is_year() ) $time = get_the_time( __('Y', 'hybrid') );
					echo $time;
				?>
				</h1>

				<div class="date-description">
				<p>
				<?php
					if ( get_query_var( 'w' ) )
						printf( __('You are browsing the archive for week %1$s of %2$s.', 'hybrid'), get_the_time( __('W', 'hybrid') ), get_the_time( __('Y', 'hybrid') ) );
					else
						printf( __('You are browsing the archive for %1$s.', 'hybrid'), $time );
				?>
				</p>
			</div>

		</div>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php get_the_image( array( 'custom_key' => array( 'Thumbnail' ), 'default_size' => 'thumbnail' ) ); ?>

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-summary entry">
					<?php the_excerpt(); ?>
				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php printf( __('Sorry, there are no posts for %1$s.', 'hybrid'), $time ); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>