<?php
/**
 * Functions File
 *
 * Loads theme functions before templates kick in.
 * Defines constants to be used throughout the theme.
 *
 * @package Hybrid
 * @subpackage Functions
 */

// Load theme textdomain
	load_theme_textdomain( 'hybrid' );

// Define constant paths (PHP files)
	define( HYBRID_DIR, TEMPLATEPATH );
	define( HYBRID_LIBRARY, HYBRID_DIR . '/library' );
	define( HYBRID_ADMIN, HYBRID_LIBRARY . '/admin' );
	define( HYBRID_EXTENSIONS, HYBRID_LIBRARY . '/extensions' );
	define( HYBRID_FUNCTIONS, HYBRID_LIBRARY . '/functions' );
	define( HYBRID_LEGACY, HYBRID_LIBRARY . '/legacy' );
	define( HYBRID_WIDGETS, HYBRID_LIBRARY . '/widgets' );

// Define constant paths (other file types)
	$hybrid_dir = get_bloginfo( 'template_directory' );
	define( HYBRID_IMAGES, $hybrid_dir . '/images' );
	define( HYBRID_CSS, $hybrid_dir . '/library/css' );
	define( HYBRID_JS, $hybrid_dir . '/library/js' );
	define( HYBRID_SWF, $hybrid_dir . '/library/swf' );

// Define child theme paths
	define( HYBRID_CHILD_DIR, get_stylesheet_directory() );
	define( HYBRID_CHILD_URL, get_stylesheet_directory_uri() );

// Load theme action and filter hooks
	require_once( HYBRID_FUNCTIONS . '/hooks-actions.php' );
	require_once( HYBRID_FUNCTIONS . '/hooks-filters.php' );

// Load theme functions
	require_once( HYBRID_FUNCTIONS . '/comments.php' );
	require_once( HYBRID_FUNCTIONS . '/dynamic-classes.php' );
	require_once( HYBRID_FUNCTIONS . '/framework.php' );
	require_once( HYBRID_FUNCTIONS . '/media.php' );

// Load extensions
	require_once( HYBRID_EXTENSIONS . '/breadcrumb-trail.php' );
	require_once( HYBRID_EXTENSIONS . '/get-the-image.php' );
	require_once( HYBRID_EXTENSIONS . '/get-the-object.php' );

// Load widgets and widget functions
	require_once( HYBRID_FUNCTIONS . '/widgets.php' );

// Load deprecated functions file for backwards compatibility
	require_once( HYBRID_FUNCTIONS . '/deprecated.php' );

// Check for legacy (pre-2.7) functions
	hybrid_legacy_functions();

// Load admin files
	if ( is_admin() ) :
		require_once( HYBRID_ADMIN . '/theme-settings.php' );
		require_once( HYBRID_ADMIN . '/meta-box.php' );
	endif;

// Get theme settings
	$hybrid_settings = get_option( 'hybrid_theme_settings' );

?>