<?php
/**
 * Template Name: Log In
 *
 * Allow users to log in from any page on your site.
 * Note that this template is under heavy development and may change drastically in the future.
 * @link http://themehybrid.com/themes/hybrid/page-templates/log-in
 *
 * @package Hybrid
 * @subpackage Template
 */

if ( 'POST' == $_SERVER['REQUEST_METHOD'] && !empty( $_POST['action'] ) && $_POST['action'] == 'log-in' ) :

	global $error;
	$login = wp_login( $_POST['user-name'], $_POST['password'] );
	$login = wp_signon( array( 'user_login' => $_POST['user-name'], 'user_password' => $_POST['password'], 'remember' => $_POST['remember-me'] ), false );

endif;

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-content entry">
					<?php the_content(); ?>

					<?php if ( is_user_logged_in() ) : // Already logged in ?>

						<?php global $user_ID; $login = get_userdata( $user_ID ); ?>

						<p class="alert">
							<?php printf( __('You are currently logged in as <a href="%1$s" title="%2$s">%2$s</a>.', 'hybrid'), get_author_posts_url( $login->ID ), $login->display_name ); ?> <a href="<?php echo wp_logout_url( get_permalink() ); ?>" title="<?php _e('Log out of this account', 'hybrid'); ?>"><?php _e('Log out &raquo;', 'hybrid'); ?></a>
						</p>

					<?php elseif ( $login->ID ) : // Successful login ?>

						<?php $login = get_userdata( $login->ID ); ?>

						<p class="alert">
							<?php printf( __('You have successfully logged in as <a href="%1$s" title="%2$s">%2$s</a>.', 'hybrid'), get_author_posts_url( $login->ID ), $login->display_name ); ?>
						</p>

					<?php else : // Not logged in ?>

						<?php if ( $error ) : ?>
							<p class="error">
								<?php echo $error; ?>
							</p>
						<?php endif; ?>

						<form action="<?php the_permalink(); ?>" method="post" class="sign-in">
							<p class="form-username">
								<label for="user-name"><?php _e('Username', 'hybrid'); ?></label>
								<input type="text" name="user-name" id="user-name" class="text-input" value="<?php echo wp_specialchars( $_POST['user-name'], 1 ); ?>" />
							</p>

							<p class="form-password">
								<label for="password"><?php _e('Password', 'hybrid'); ?></label>
								<input type="password" name="password" id="password" class="text-input" />
							</p>

							<p class="form-submit">
								<input type="submit" name="submit" class="submit button" value="<?php _e('Log in', 'hybrid'); ?>" />
								<input class="remember-me checkbox" name="remember-me" id="remember-me" type="checkbox" checked="checked" value="forever" />
								<label for="remember-me"><?php _e('Remember me', 'hybrid'); ?></label>
								<input type="hidden" name="action" value="log-in" />
							</p>
						</form>

					<?php endif; ?>

					<?php wp_link_pages( array( 'before' => '<p class="pages">' . __('Pages:', 'hybrid'), 'after' => '</p>' ) ); ?>

				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php endwhile; ?>

			<?php hybrid_after_page(); // After page hook ?>

			<?php comments_template( '', true ); ?>

		<?php else: ?>

			<p class="no-data"><?php _e('Sorry, no page matched your criteria.', 'hybrid'); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>