<?php
/**
 * Search Template
 *
 * This template is loaded when viewing search results.
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<div class="search-info">

			<h1 class="search-title"><?php echo attribute_escape( get_search_query() ); ?></h1>

			<div class="search-description">
				<p><?php printf( __('You are browsing the search results for &quot;%1$s&quot;', 'hybrid'), attribute_escape( get_search_query() ) ); ?></p>
			</div>

		</div>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php get_the_image( array( 'custom_key' => array( 'Thumbnail' ), 'default_size' => 'thumbnail' ) ); ?>

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-summary entry">
					<?php the_excerpt(); ?>
				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data">
				<?php _e('Sorry, no posts matched your criteria.', 'hybrid'); ?> <?php _e('Maybe you\'d like to try inputting different search terms.', 'hybrid'); ?>
			</p>
			<?php hybrid_search_form(); ?>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>