<?php
/**
 * Tag Template
 *
 * This template is loaded when viewing a tag archive.
 * @link http://codex.wordpress.org/Tag_Templates
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<div class="tag-info">

			<h1 class="tag-title"><?php single_tag_title(); ?></h1>

			<div class="tag-description">
				<p><?php printf( __('You are browsing the %1$s tag archive.', 'hybrid'), single_tag_title( false, false ) ); ?></p>
			</div>

		</div>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php get_the_image( array( 'custom_key' => array( 'Thumbnail' ), 'default_size' => 'thumbnail' ) ); ?>

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-summary entry">
					<?php the_excerpt(); ?>
				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php printf( __('Sorry, there are no posts tagged %1$s.', 'hybrid'), single_tag_title( false, false ) ); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>