<?php
/**
 * Template Name: Tags
 *
 * This template displays a tag cloud of all your tags.
 * @link http://themehybrid.com/themes/hybrid/page-templates/tags
 *
 * Alternately, you may use a tags plugin.
 * @link http://wordpress.org/extend/plugins/configurable-tag-cloud-widget
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-content entry">

					<?php the_content(); ?>

					<?php if ( function_exists( 'ctc' ) ) : ?>

						<p class="tag-cloud"><?php ctc(); ?></p>

					<?php else : ?>

						<p class="tag-cloud"><?php wp_tag_cloud( array( 'number' => 0 ) ); ?></p>

					<?php endif; ?>

					<?php wp_link_pages( array( 'before' => '<p class="pages">' . __('Pages:', 'hybrid'), 'after' => '</p>' ) ); ?>

				</div>

				<?php hybrid_after_entry(); // After entry hook ?>

			</div>

			<?php hybrid_after_page(); // After page hook ?>

			<?php comments_template( '', true ); ?>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php _e('Sorry, no page matched your criteria.', 'hybrid'); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>