<?php
/**
 * Template Name: Widgets
 *
 * Use this template to completely widgetize any page on your blog.
 * This template uses the 'Utility: Widgets Template' widget area.
 * @link http://themehybrid.com/themes/hybrid/page-templates/widgets
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php dynamic_sidebar( __('Utility: Widgets Template', 'hybrid') ); ?>

		<?php wp_reset_query(); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<?php edit_post_link( __('Edit', 'hybrid'), '<p class="post-meta-data"><span class="edit">', '</span></p>' ); ?>

			<?php hybrid_after_page(); // After page hook ?>

			<?php comments_template( '', true ); ?>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data"><?php _e('Sorry, no page matched your criteria.', 'hybrid'); ?></p>

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div>

<?php get_footer(); ?>